<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Document</title>
</head>
<body>
	<form action="html2pdf" method="post" enctype="multipart/form-data">
		<label for="">API Key</label>
		<input type="text" name="apiKey"/>
		<label for="">File : html or ZIP with index.html file in it</label>
		<input type="file" name="html"/>
		<input type="submit"/>
	</form>
	<script>
		var form = document.body.querySelector("form");
		form.onsubmit = function(e) {
			var formData  = new FormData();
			formData.append("html", form.html.files[0]);
			var filename = form.html.files[0].name;
			fetch(form.action, {
				method: "POST",
				headers: {
					"Auth": form.apiKey.value
				},
				body: formData
			}).then(response => response.blob())
			.then(blob => {
				var url = window.URL.createObjectURL(blob);
				var a = document.createElement('a');
				a.href = url;
				a.download = filename+".pdf";
				document.body.appendChild(a);
				a.click();
				document.body.removeChild(a);
			});

			e.preventDefault();
		};
	</script>
</body>
</html>